#!/usr/bin/perl -w
#
# Copyright (C) 2001,2002 asdfGroup.com Inc. All rights reserved.
#
# This library is a commercial product and it is subject to the license
# agreement that can be found at the following URL:
#   http://www.asdfGroup.com/license.html
# Please contact our staff if you will have any questions:
#   mailto:staff@asdfGroup.com
#

use strict;

sub Cat {
    local *F;
    open F, "< ".$_[0] or return;
    local $/ unless wantarray;
    return <F>;
}

sub Chomp { chomp(my @l=@_); s/\r$// for @l; return wantarray ? @l : $l[0] }

sub Echo {
    local *F;
    open F, shift or return;
    $!=9, return unless defined(syswrite(F,""));
    @_ = map {"$_\n"} @_ if "@_" !~ /\n/;
    print F join("",@_);
    return 1;
}

sub Min { my $min=shift; $_<$min and $min=$_ for @_; $min }

sub Max { my $max=shift; $_>$max and $max=$_ for @_; $max }

sub Dumper4Eval {
    eval "use Data::Dumper;" unless exists &Data::Dumper::Dumper;
    local $Data::Dumper::Indent = 0;
    local $Data::Dumper::Terse  = 1;
    &Data::Dumper::Dumper;
}

1;
