#!/usr/bin/perl -w
#
# Copyright (C) 2001,2002 asdfGroup.com Inc. All rights reserved.
#
# This library is a commercial product and it is subject to the license
# agreement that can be found at the following URL:
#   http://www.asdfGroup.com/license.html
# Please contact our staff if you will have any questions:
#   mailto:staff@asdfGroup.com
#

use strict;

sub time () {
    eval "use Time::HiRes;";
    local $^W;
    if ($@) {
        my $SYS_gettimeofday = ( join("", map { Cat("/usr/include/$_.h") }
            qw(syscall sys/syscall bits/syscall asm/unistd) ) =~ 
            /^\s*#define\s*(?:__NR|SYS)_gettimeofday\s*(\d+)/m )[0];
        *POWER::lib::time = $SYS_gettimeofday ? sub () {
                syscall $SYS_gettimeofday, my $data=pack("ll"), 0;
                my ($sec, $msec) = unpack "ll", $data;
                return $sec+$msec/1000000;
            } : sub () {
                return CORE::time();
            };
    } else {
        *POWER::lib::time = \&Time::HiRes::time;
    }
    goto &POWER::lib::time;
}

sub sleep {
    select undef, undef, undef, $_[0];
}

1;
