#!/usr/bin/perl -w
use Test;
BEGIN { plan tests => 16 }
BEGIN { unshift @INC, "../blib/lib" } 
use POWER::lib;

$out    = Check_Email();
ok($out, '',            "without params");

for ('', undef, qw( a @ a@ @a a@a.. a@a.a..a.a )) {
    $out    = Check_Email($_);
    ok($out, '',        "bad: ".(defined($_) ? $_ : 'undef()'));
}

for (qw( a@. a@.a a@a a@a.a a.a@a.a a@a. .a.@.a. )) {
    $out    = Check_Email($_);
    ok($out, 1,         "ok: $_");
}
